import './styles.css';
import * as React from 'react';
import { Stage } from 'react-konva';
import { graphlib } from 'dagre';
import { Edge, GroupBy, Node, onNodeClick, onNodeContextMenu, onNodeHover, onNodeOutHover } from './types';
declare type Props = {
    edges: Edge[];
    nodes: Node[];
    type?: 'column' | 'default';
    activeNode?: {
        id: string;
        columnId?: string;
    };
    primaryNode?: {
        id: string;
    };
    groupBy?: GroupBy;
    onNodeClick?: onNodeClick;
    onNodeContextMenu?: onNodeContextMenu;
    onNodeHover?: onNodeHover;
    onNodeOutHover?: onNodeOutHover;
    searchKey?: string;
};
declare type State = {
    dimensions: {
        width: number;
        height: number;
    };
};
export default class Dag extends React.Component<Props, State> {
    state: {
        dimensions: {
            width: number;
            height: number;
        };
    };
    static defaultProps: {
        type: string;
    };
    graph: graphlib.Graph<Node>;
    stage: React.RefObject<Stage>;
    layer: React.RefObject<import("konva/types/Layer").Layer>;
    constructor(props: Props);
    setGraph({ nodes, edges, type, groupBy, activeNode, primaryNode }: Props): void;
    setNode(node: Node, $state$: string, type?: string, primaryNode?: {
        id: string;
    }, selectColId?: string): void;
    shouldComponentUpdate(nextProps: Readonly<Props>, nextState: Readonly<State>): boolean;
    componentDidUpdate(prevProps: Readonly<Props>, prevState: Readonly<State>): void;
    getStage: () => import("konva/types/Stage").Stage;
    fitView: () => void;
    onWheel: (e: import("konva/types/Node").KonvaEventObject<WheelEvent>) => void;
    scale: (scale: number) => void;
    render(): JSX.Element;
}
export {};
